Skip to main content

Get NPS Inward Debit Requests

Overview​

GetNpsInwardDebitRequestsQuery returns a paginated list of NPS inward direct debit requests — these are pacs.003 messages where another bank (the creditor) has debited our customer's account under an NPS mandate.

Command Details​

  • Command: GetNpsInwardDebitRequestsQuery
  • Type: Query

API Endpoint​

POST /api/bpm/cmd

Request Structure​

FieldTypeRequiredDescription
pageNumberintNoPage number (default: 1)
pageSizeintNoRecords per page (default: 20)
statusstringNoFilter by transaction status
searchTextstringNoSearch by session ID, mandate reference, account number, or name
startDatestringNoFilter by transactionTimeStamp ≥ this date (yyyy-MM-dd)
endDatestringNoFilter by transactionTimeStamp ≤ this date (yyyy-MM-dd)
isExportboolNotrue to export all results as Excel

Try It Out​

POST/api/bpm/cmdGetNpsInwardDebitRequestsQuery
Request Body

Response Structure​

{
"isSuccessful": true,
"statusCode": "00",
"count": 3,
"pages": 1,
"data": [
{
"id": 501,
"sessionID": "SESS-20260201-001",
"mandateReferenceNumber": "MND0000000001",
"debitAccountName": "JOHN DOE",
"debitAccountNumber": "0123456789",
"beneficiaryAccountName": "ABC COMPANY",
"beneficiaryAccountNumber": "9876543210",
"originatorAccountName": "ABC COMPANY",
"originatorAccountNumber": "9876543210",
"narration": "Loan repayment",
"amount": 50000.00,
"transactionFee": 50.00,
"status": "Successful",
"responseCode": "00",
"responseDescription": "Approved",
"receiveResponseCode": "00",
"transactionTimeStamp": "2026-02-01T08:00:00Z",
"transactionId": "TXN123456",
"paymentReference": "PAY123456",
"sourceProvider": "nps"
}
]
}